Commit Diff


commit - a721c233eee67c9abb8843727b0ca0b5a2a4cbd7
commit + e5285d54220c0c595b8a29e5fd34837914fa762d
blob - f319b95c17c55aa3788f98881ca9ca500f0b5739
blob + c89145bbd7303a11ada0576578473202d75e086d
--- regress/Makefile
+++ regress/Makefile
@@ -4,10 +4,10 @@ TESTS=
 
 include ../Makefile.local
 
-.PHONY: all data clean runtime
+.PHONY: all data clean regres
 
 all: data gg puny-test iri_test fcgi-test
-	./runtime ${TESTS}
+	./regress ${TESTS}
 
 data: testdata cert.pem testca.pem valid.crt invalid.cert.pem
 
@@ -86,6 +86,3 @@ testdata: fill-file
 	mkdir testdata/dir
 	cp hello testdata/dir
 	cp testdata/index.gmi testdata/dir/foo.gmi
-
-runtime: testdata
-	./runtime
blob - 0cde4b1dad5c862b6926789ccd81fd490c87093f (mode 755)
blob + /dev/null
--- regress/runtime
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/sh
-
-if [ "${SKIP_RUNTIME_TESTS:-0}" -eq 1 ]; then
-	echo
-	echo "======================"
-	echo "runtime tests skipped!"
-	echo "======================"
-	echo
-	exit 0
-fi
-
-rm -f gmid.pid
-
-. ./lib.sh
-. ./tests.sh
-
-trap 'onexit' INT TERM EXIT
-
-if [ $# -ne 0 ]; then
-	while [ $# -ne 0 ]; do
-		run_test $1
-		shift
-	done
-
-	tests_done
-fi
-
-run_test test_punycode
-run_test test_iri
-run_test test_configless_mode
-run_test test_static_files
-run_test test_directory_redirect
-run_test test_serve_big_files
-run_test test_dont_execute_scripts
-run_test test_custom_mime
-run_test test_default_type
-run_test test_custom_lang
-run_test test_parse_custom_lang_per_location
-run_test test_cgi_scripts
-run_test test_cgi_big_replies
-run_test test_cgi_split_query
-run_test test_custom_index
-run_test test_custom_index_default_type_per_location
-run_test test_auto_index
-run_test test_block
-run_test test_block_return_fmt
-run_test test_entrypoint
-run_test test_require_client_ca
-run_test test_root_inside_location
-run_test test_root_inside_location_with_redirect
-run_test test_fastcgi
-run_test test_macro_expansion
-run_test test_174_bugfix
-
-tests_done
blob - /dev/null
blob + 0cde4b1dad5c862b6926789ccd81fd490c87093f (mode 755)
--- /dev/null
+++ regress/regress
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+if [ "${SKIP_RUNTIME_TESTS:-0}" -eq 1 ]; then
+	echo
+	echo "======================"
+	echo "runtime tests skipped!"
+	echo "======================"
+	echo
+	exit 0
+fi
+
+rm -f gmid.pid
+
+. ./lib.sh
+. ./tests.sh
+
+trap 'onexit' INT TERM EXIT
+
+if [ $# -ne 0 ]; then
+	while [ $# -ne 0 ]; do
+		run_test $1
+		shift
+	done
+
+	tests_done
+fi
+
+run_test test_punycode
+run_test test_iri
+run_test test_configless_mode
+run_test test_static_files
+run_test test_directory_redirect
+run_test test_serve_big_files
+run_test test_dont_execute_scripts
+run_test test_custom_mime
+run_test test_default_type
+run_test test_custom_lang
+run_test test_parse_custom_lang_per_location
+run_test test_cgi_scripts
+run_test test_cgi_big_replies
+run_test test_cgi_split_query
+run_test test_custom_index
+run_test test_custom_index_default_type_per_location
+run_test test_auto_index
+run_test test_block
+run_test test_block_return_fmt
+run_test test_entrypoint
+run_test test_require_client_ca
+run_test test_root_inside_location
+run_test test_root_inside_location_with_redirect
+run_test test_fastcgi
+run_test test_macro_expansion
+run_test test_174_bugfix
+
+tests_done